<!DOCTYPE html>
<html ng-cloak ng-app="BasicChat"  ng-controller="chat">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js">
    </script>
    <script src="../../bower_components/angular/angular.js">
    </script>
    <script src="../../bower_components/rltm/web/rltm.js">
    </script>
    <script src="../../angular-chat.js">
    </script>
    <script src="../../bower_components/chance/chance.js">
    </script>
    <script src="../../vendor.js">
    </script>
    <script>


      function change_background( new_image_source ) {



      }

      setInterval(function(){
        var myimage = $( '.menu' );

        myimage.css( 'background', 'url('+window.app.background()+') top right' );

      }, 10000)

    var chat = angular.module("BasicChat", []).controller('chat', function(  $scope, $timeout) {
       // Avatar 
       $scope.talk = window.app.talk()
       $scope.name = chance.name()
       $scope.location = window.app.where()
       $scope.start = window.app.prompt()
       // Avatar 
       $scope.avatar = "//api.adorable.io/avatars/285/" + chance.guid() + ".png"
       // Time 
       $scope.now = window.app.time() 

       // Message Inbox
       $scope.messages = [];

       // Receive Messages


       // Send Messages
       $scope.send = function() {
        ga('send', {
            hitType: 'event',
            eventCategory: 'Demo Action',
            eventAction: $(this).attr('href'),
            eventLabel: new Date().toString()
          });


          let message = $scope.textbox;
                     $scope.messages.push({ avi: $scope.avatar, data:message, id: 'other', time: window.app.time()})
           $scope.textbox = ""

          let res = (window.app.intent(message))
          if(res) {
            $timeout(function(){
                          $scope.messages.push({avi: 'logo.png' , data:res, id: 'self', time: window.app.time()})

                        },1000)
          }
    
       };

       $scope.bubble = function() {
         ga('send', {
            hitType: 'event',
            eventCategory: 'Demo Like',
            eventAction: $(this).attr('href'),
            eventLabel: new Date().toString()
          });
         console.log('sent')
        $('.hvr-icon-float-away').toggleClass('hover')
       };

    });
    </script>
        <link rel="stylesheet" href="style.css"/>

    <title>
      Expo Demo
    </title>
</head>
<body>
   <!-- add module to angular -->

<div ng-app="BasicChat"  ng-controller="chat">
<div class="menu">
            <div class="back">
<!-- <i class="fa fa-chevron-left"></i> 
 -->            <img src="http:{{avatar}}" draggable="false"/>
 </div>
            <div class="name">{{name}}</div>
            <div class="last">{{ location }}</div>
        </div>
    <ol class="chat">

  <!--       <div ng-repeat="message in messages">
            <strong>{{message.user.name}}:</strong>
            <span>{{message.data}}</span>
        </div> -->
        
    <li class="other">
        <div class="avatar">
            <img src="http:{{avatar}}"/>
        </div>
        <div class="msg">
            <p>{{ talk }}</p>
            <time>{{now }}</time>
        </div>
    </li>        
    <!-- http://www.alexaecho.com/wp-content/uploads/2016/04/AmazonAlexa.png -->
    <li class="self">
        <div class="avatar"><img src="logo.png" draggable="false"/></div>
      <div class="msg">
        <p>{{ start }}</p>
        <time>{{ now }}</time>
      </div>
    </li>


    <li ng-repeat="message in messages" class="{{message.id}}">
        <div class="avatar">
            <img src="http:{{message.avi}}"/>
        </div>
        <div class="msg">
            <p>{{message.data}}</p>
            <time>{{ message.time }}</time>
        </div>
    </li>
 




        <div class="day">Most Recent</div>

    </ol>

<!-- view -->


<form ng-submit="send()">
            <input type="text" class="textarea" ng-model="textbox" placeholder="Ask a question.">
        </form>

    <div ng-click="bubble()" class="emojis ">
        <span class="hvr-icon-float-away"></span>
    </div>
</div>

<script>

      (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
      (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
      m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
      })(window,document,'script','https://www.google-analytics.com/analytics.js','ga');

      ga('create', 'UA-90024162-1', 'auto');
      ga('send', 'pageview');


 </script>    
</body>
</html>